using System;

namespace tk1z2
{
    class Program
    {
        static void Main(string[] args)
        {
            long krajnje=0;
            int br1, br2,dodatak;
            int[] zbir = new int[100001];
            int[] indeks=new int[100001];
            string[] unos = Console.ReadLine().Split();
            int br_takmicara = Convert.ToInt32(unos[0]);
            int br_parova = Convert.ToInt32(unos[1]);
            for(int i=0;i<br_takmicara;i++)
            {
                indeks[i]=Convert.ToInt32(Console.ReadLine());
            }
            for(int i=0;i<br_parova;i++)
            {
                unos = Console.ReadLine().Split();
                br1 = Convert.ToInt32(unos[0])-1;
                br2 = Convert.ToInt32(unos[1])-1;
                dodatak = (indeks[br1] + indeks[br2]) > 0 ? 1 : -1;
                zbir[br1] += dodatak;
                zbir[br2] += dodatak;
            }
            for(int i=0;i<br_takmicara;i++)
            {
                krajnje+=zbir[i] * indeks[i];
            }
            Console.WriteLine(krajnje);
        }
    }
}